<!--  
 * This file is part of the SecureFlag Platform.
 * Copyright (c) 2020 SecureFlag Limited.
 * 
 * This program is free software: you can redistribute it and/or modify  
 * it under the terms of the GNU General Public License as published by  
 * the Free Software Foundation, version 3.
 *
 * This program is distributed in the hope that it will be useful, but 
 * WITHOUT ANY WARRANTY; without even the implied warranty of 
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU 
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License 
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 -->
<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<meta name="viewport" content="width=device-width, initial-scale=1">
<meta name="description" content="SecureFlag">
<title>SecureFlag - Signup</title>
<link rel="icon" type="image/png" sizes="96x96"
	href="/assets/img/favicon-96x96.png">
<link href="/assets/css/lib.css" rel="stylesheet">
<link href="/assets/css/style.css" rel="stylesheet">
</head>
<body>
	<div ng-app="sfNg-signup">
		<div class="navbar navbar-default navbar-fixed-top maxHeight60 sfNavbarN"
		role="navigation">
		<div>
			<div class="pull-left">
				<img src="/assets/img/sfhn.png" class="sfNavbarLogo"/><span class="sfce">CE</span>
			</div>
			
		</div>
	</div>
		<div id="service">
			<div class="container serviceContainer">
				<div class="row centered serviceInnerContainer col-md-12">
					<div class="standalone ng-cloak" ng-controller="signup">
						<div class="container">
						
							
									<div ng-show="phase1">
									
										<div class="row">
											<div class="col-md-4">
																																												<form class="left" name="userSignupForm1" novalidate>
											
												<h2 class="eblue left">Signup</h2>
											
												<h5>Organization Invitation Code</h5>
												<input required name="organizationCode" class="fInput"
													type="text" ng-model="signup.orgInvitationCode">
													
													
													<button type="button"
												ng-disabled="!userSignupForm1.organizationCode.$valid"
												ng-click="validateInviteCode()"
												class="btn btn-lg btn-primary marginTop30">Continue</button>
												</form>
										
											
											</div>
											</div>
											<div class="row">
											<div class="col-md-12">
																							<p class="red" ng-show="codeIsWrong">The code you entered is not correct. If you do not have an invitation code, get in <a href="mailo:info@secureflag.com">touch</a>.</p>
											</div>
											</div>
												</div>

										
								
									<div ng-show="phase2">
													<form class="left" name="userSignupForm2" novalidate>

										<div class="row ">
											<div class="col-md-3">
												<h5>Username</h5>
													<input ng-change="isUsernameAvailable()" class="fInput" required type="text"
												ng-model="signup.username">
											</div>
											<div class="col-md-3">
											<h5>&nbsp;</h5>
											<p class="lead red" ng-show="!usernameAvailable">Username not available</p>
										</div>
										</div>
										<div class="row marginTop10">
											<div class="col-md-3">
												<h5>First Name</h5>
												<input required name="firstName" placeholder="Amelia"
													class="fInput" type="text" ng-model="signup.firstName">
											</div>
											<div class="col-md-3">
												<h5>Last Name</h5>
												<input required name="lastName" placeholder="Smith"
													class="fInput" type="text" ng-model="signup.lastName">
											</div>
											<div class="col-md-3">
												<h5>Email</h5>
												<input required name="email" placeholder="amelia@smith.com"
													class="fInput" type="email" ng-model="signup.email">
											</div>
										</div>
										<div class="row marginTop10">
											<div class="col-md-3">
												<h5>Country</h5>
												<ol class="nya-bs-select" required
													ng-model="signup.selectedCountry" data-size="20"
													data-live-search="true">
													<li nya-bs-option="ct in countries | orderBy:'name'"><a>
															{{ct.name}} <span
															class="glyphicon glyphicon-ok check-mark"></span>
													</a></li>
												</ol>
											</div>

										</div>
										<div class="row marginTop10">
											<div class="col-md-3">
												<h5>Password</h5>
												<input complex-password name="password" required
													class="fInput" type="password" ng-model="signup.password"
													placeholder="">
												<div
													ng-show="!userSignupForm2.$pristine && !userSignupForm2.password.$valid">Use
													at least 8 characters including three of four groups in:
													numbers, symbols, capital letters, and lower-case letters.</div>
											</div>
											<div class="col-md-3">
												<h5>Repeat Password</h5>
												<input required name="repeatPassword" class="fInput"
													type="password" compare-to="signup.password"
													ng-model="signup.repeatPassword">
												<div
													ng-show="!userSignupForm2.$pristine && !userSignupForm2.repeatPassword.$valid">These
													password don't match. Try again?</div>
											</div>
										</div>
										<div class="row marginTop10">
											<div class="col-md-3">
												<button type="button"
													ng-disabled="!usernameAvailable || userSignupForm2.$error.required || !userSignupForm2.repeatPassword.$valid || !userSignupForm2.password.$valid"
													ng-click="signup()" class="btn btn-lg btn-success">Signup</button>
											</div>
										</div>
																		</form>
										
									</div>

							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
		<!-- *****************************************************************************************************************
	 FOOTER
	 ***************************************************************************************************************** -->
		<div id="sffooter" class="sfFooterN">
		<div class="marginLeft10">
			<a class="sfFooterLink" href="mailto:community@secureflag.com">community@secureflag.com</a>
		</div>
		<div class="marginRight10">
			<p class="sfFooterLink">© 2020 SecureFlag</p>
		</div>

	</div>
	<script src="/assets/js/jquery.min.js"></script>
	<script src="/assets/js/bootstrap.min.js"></script>
	<script src="/assets/js/angular.min.js"></script>
	<script src="/assets/js/nya-bs-select.min.js"></script>
	<script src="/assets/js/signup.js"></script>

</body>
</html>